Get Protection Group Snapshot Details

Get Protection Group Snapshot Details

Get detailed information for a protection group snapshot.

Request
URI
GET
https://{api_host}/api/vcdr/v1/cloud-file-systems/{cloud_file_system_id}/protection-groups/{protection_group_id}/snapshots/{id}
COPY
Path Parameters
string
cloud_file_system_id
Required

The cloud file system containing the protection group snapshot of interest.

string
protection_group_id
Required

The protection group associated with the protection group snapshot of interest.

string
id
Required

The protection group snapshot of interest.


Authentication
This operation uses the following authentication methods.
Responses
200

OK. The request succeeded.

Returns ProtectionGroupSnapshotDetails of type(s) application/json
{
    "id": "string",
    "name": "string",
    "creation_timestamp": 0,
    "expiration_timestamp": 0,
    "trigger_type": "string",
    "vm_count": 0,
    "failed_vm_snap_count": 0,
    "size_gib": "number"
}
string
id
Optional

The unique identifier of the protection group snapshot.

string
name
Optional

The name of the protection group snapshot.

integer As int64 As int64
creation_timestamp
Optional

The time expressed as a Posix timestamp at which the protection group snapshot was created. Posix time is the number of seconds since the epoch 1970-01-01 00:00:00 UTC. For example: the timestap 1640143163 corresponds to 2021-12-22 3:19:23 UTC.

integer As int64 As int64
expiration_timestamp
Optional

The time expressed as a Posix timestamp at which the protection group snapshot will expire and be automatically deleted. Posix time is the number of seconds since the epoch 1970-01-01 00:00:00 UTC. For example: the timestap 1640143163 corresponds to 2021-12-22 3:19:23 UTC.

string
trigger_type
Optional

The manner in which a protection group snapshot was triggered.

  • SNAPSHOT_TRIGGER_TYPE_UNKNOWN: The protection group snapshot trigger type is unknown.
  • SNAPSHOT_TRIGGER_TYPE_MANUAL: The protection group snapshot was triggered manually via the UI or API.
  • SNAPSHOT_TRIGGER_TYPE_SCHEDULED: The protection group was triggered by a schedule associated with the protection group.

Possible values are : SNAPSHOT_TRIGGER_TYPE_UNKNOWN, SNAPSHOT_TRIGGER_TYPE_MANUAL, SNAPSHOT_TRIGGER_TYPE_SCHEDULED,
integer As int32 As int32
vm_count
Optional

The number of VMs included in this protection group snapshot.

integer As int32 As int32
failed_vm_snap_count
Optional

The number of VMs that are defined by the protection group query but did not get included in the protection group snapshot.

number As double As double
size_gib
Optional

The logical size measured in GiB of this protection group snapshot.


400

Bad request. The server could not understand the request.

Operation doesn't return any data structure

401

Unauthorized. The client has not authenticated.

Operation doesn't return any data structure

403

Forbidden. The client is not authorized.

Operation doesn't return any data structure

404

Not found. The server cannot find the specified resource.

Operation doesn't return any data structure

500

VMware Live Cyber Recovery-specific error.
An error unique to VMware Live Cyber Recovery was encountered while attempting to satisfy the request. See the returned object for details on the error.

Returns Error of type(s) application/json
"Error Object"
array of object
messages
Optional

A stack or error messages. The first element (top of the stack) is the broadest description of the failure.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vcdr/v1/cloud-file-systems/{cloud_file_system_id}/protection-groups/{protection_group_id}/snapshots/{id}